Subject: bug#60110: 29.0.60; ruby-mode method parameter alignment

From: Aaron Jensen <[email-masked]>
Date: Sun, 18 Dec 2022 21:58:31 -0500

On Sun, Dec 18, 2022 at 8:00 PM Dmitry Gutov <[email-masked]> wrote:
> Yes, please.
>
> That's going to be more difficult, though, since this part stems from
> the default SMIE indentation behavior.
>
> It will help to be specific: whether you are concerned about this
> behavior for assignments only (and probably for operators like +=, /=,
> &=, etc), or whether there are other tokens/keywords like that.
>
> Or whether adding an option for = and friends will get us 99% there, maybe.

Done: bug#60186

Not sure what it'll take, it sounds like I just want all the SMIE
behavior disabled :)

Thanks,

Aaron